View Issue Details

IDProjectCategoryView StatusLast Update
0000453Far Manager 1.7xFindFilespublic2008-01-11 05:33
Reporterpm_kanAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWinOS Version2K SP4 R1
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000453: При поиске файлов с учетом содержимого файлы открываются с запросом прав на изменение
DescriptionПри поиске файлов с учетом содержимого требуются права на изменение/запись, что вызывает срабатывание различных средств контроля доступа к файлам (напр., защита .ini-файла в DrWeb и контроль критических объектов в OSS 2008).
Steps To Reproduce1. Запустить FileMon
2. Выполнить поиск файлов с учетом содержимого
3. Посмотреть в логе FileMon'a затребованные права доступа
Additional InformationСогласно FleMon'у при простом открытии файла запрашиваются права только на чтение
Far.exe:1572 OPEN C:\AUTOEXEC.BAT SUCCESS Options: Open Access: Read
при поиске же запрашиваются более широкие права
Far.exe:1572 OPEN C:\AUTOEXEC.BAT SUCCESS Options: Open Access: 0012019F
  0x00100000 SYNCHRONIZE
  0x00020000 READ_CONTROL
! 0x00000100 FILE_WRITE_ATTRIBUTES
  0x00000080 FILE_READ_ATTRIBUTES
! 0x00000010 FILE_WRITE_EA
  0x00000008 FILE_READ_EA
! 0x00000004 FILE_APPEND_DATA/FILE_ADD_SUBDIRECTORY
! 0x00000002 FILE_WRITE_DATA/FILE_ADD_FILE
  0x00000001 FILE_READ_DATA/FILE_LIST_DIRECTORY
TagsNo tags attached.
Build2312

Activities

vskirdin

2008-01-05 03:08

administrator   bugnote:0001094

ER> Нам желательно last access time после поиска восстановить,
ER> а для SetFileTime нужно GENERIC_WRITE.
ER> На мой взгляд, FAR'овский поиск - не та операция, которая
ER> должна менять last access time. Особенно если учесть, что
ER> поиск часто выполняется по всем дискам.

DrKnS

2008-01-05 03:45

administrator   bugnote:0001095

ER> а для SetFileTime нужно GENERIC_WRITE.

Писание гласит, что вполне достаточно и FILE_WRITE_ATTRIBUTES:

http://msdn2.microsoft.com/en-us/library/ms724205(VS.85).aspx

pm_kan

2008-01-05 11:21

reporter   bugnote:0001096

<cite>
На мой взгляд, FAR'овский поиск - не та операция, которая должна менять last access time. Особенно если учесть, что поиск часто выполняется по всем дискам.
</cite>
Согласен, но тогда хотелось бы иметь TI, чтобы это дело можно было отключить. Т.к. в описанном случае во время поиска возникает запрос о разрешении/запрете действия, что останавливает поиск. А если пользователь запустил поиск по большому кол-ву файлов и ушел пить чай, то по возвращении он не обрадуется:)
В нек. случаях, Far можно прописать в исключения, но могут быть причины, на то, чтобы его туда не прописывать.

vskirdin

2008-01-05 11:48

administrator   bugnote:0001097

Оно: "GENERIC_READ|FILE_WRITE_ATTRIBUTES"?

pm_kan

2008-01-05 11:52

reporter   bugnote:0001098

<cite>
Оно: "GENERIC_READ|FILE_WRITE_ATTRIBUTES"?
</cite>
Сейчас проверил. Для изменения времени последнего доступа этого достаточно и OSS c DrWeb'ом не ругаются.

vskirdin

2008-01-05 12:15

administrator   bugnote:0001099

1.71 ==> 2312
1.80 ==> 401

Issue History

Date Modified Username Field Change
2008-01-03 06:44 pm_kan New Issue
2008-01-04 15:26 vskirdin Status new => assigned
2008-01-04 15:26 vskirdin Assigned To => vskirdin
2008-01-05 03:08 vskirdin Note Added: 0001094
2008-01-05 03:45 DrKnS Note Added: 0001095
2008-01-05 11:21 pm_kan Note Added: 0001096
2008-01-05 11:48 vskirdin Note Added: 0001097
2008-01-05 11:52 pm_kan Note Added: 0001098
2008-01-05 12:15 vskirdin Note Added: 0001099
2008-01-05 12:15 vskirdin Status assigned => feedback
2008-01-11 05:33 vskirdin Build => 2312
2008-01-11 05:33 vskirdin Status feedback => closed
2008-01-11 05:33 vskirdin Resolution open => fixed
2008-01-11 05:33 vskirdin Fixed in Version => 1.71